Skip to navigation

Get the status of a queued command

Status the charger recorded for command_id (from the POST response).

404 until the charger has received the command, or when the command belongs to another organization.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

command_idstringRequiredformat: "^[A-Za-z0-9_-]{1,64}$"

Response

Successful Response
command_idstring
statusenum
event_typestring
identitystring
deployment_idstring
received_atdatetime
updated_atdatetime
detailstring or nullOptional
resultmap from strings to any or nullOptional
enqueued_atdatetime or nullOptional

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error